Package org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

# Class MultiSuggestionProvider

java.lang.Object
org.eclipse.mat.ui.snapshot.panes.oql.contentAssist.MultiSuggestionProvider

All Implemented Interfaces:
  `SuggestionProvider`

public class MultiSuggestionProvider extends Object implements SuggestionProvider
Combines the results of several suggestion providers.

## Constructor Summary

Constructors
Constructor
Description
`MultiSuggestionProvider(SuggestionProvider... l)`

## Method Summary

Modifier and Type
Method
Description
`List<ContentAssistElement>`
`getSuggestions(String context)`
Given the context (prefix provided by the user) it returns available suggestions.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiSuggestionProvider

public MultiSuggestionProvider(SuggestionProvider... l)

## Method Details

### getSuggestions

public List<ContentAssistElement> getSuggestions(String context)
Description copied from interface: `SuggestionProvider`
Given the context (prefix provided by the user) it returns available suggestions.

Specified by:
  `getSuggestions` in interface `SuggestionProvider`
Parameters:
  `context` - is the prefix to be searched from. It can be an empty String but must not be null.
Returns:
  the list of suggestion proposals.